---
title: XRInputSourcesChangeEventInit.added
slug: Web/API/XRInputSourcesChangeEventInit/added
tags:
  - API
  - AR
  - Added
  - Input Sources
  - Inputs
  - Mixed
  - Property
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRInputSource
  - XRInputSourcesChangeEventInit
  - augmented
---
<p>{{APIRef("WebXR Device API")}} {{SecureContext_Header}}</p>

<p><span class="seoSummary">The {{domxref("XRInputSourcesChangeEventInit")}} property {{domxref("XRInputSourcesChangeEventInit.added", "added")}} specifies a list of input sources, each identified using an {{domxref("XRInputSource")}} object, which the represented {{domxref("XRSession.inputsourceschange_event", "inputsourceschange")}} event is to indicate are newly available for use.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>inputSourcesEventInit</em> = {
  session: <em>xrSession</em>,
  added: [<em>newDevice1</em>, ..., <em>newDeviceN</em>],
  removed: [<em>removedDevice1</em>, ..., <em>newDeviceN</em>],
};
<em>myInputSourcesChangeEvent</em> = new XRInputSourcesChangeEventInit("inputsourceschange", inputSourcesEventInit);

<em>myInputSourcesChangeEvent</em> = new XRInputSourcesChangeEventInit("inputsourceschange",
                            {
                              session: xrSession,
                              added: addedDeviceList,
                              removed: removedDeviceList
                            });</pre>

<h3 id="Value">Value</h3>

<p>An {{jsxref("Array")}} of zero or more {{domxref("XRInputSource")}} objects, each representing one input device added to the XR system.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrinputsourceschangeeventinit-added","XRInputSourcesChangeEventInit.added")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRInputSourcesChangeEventInit.added")}}</div>
